Returns the ID for this cursor

- « MongoDB\Driver\Cursor::current

- MongoDB\Driver\Cursor::getServer »

- PHP Manual
- MongoDB\Driver\Cursor
- Returns the ID for this cursor

# MongoDB\Driver\Cursor::getId

(mongodb >=1.0.0)

MongoDB\Driver\Cursor::getId — Returns the ID for this cursor

### Description

final public MongoDB\Driver\Cursor::getId(): MongoDB\Driver\CursorId

Returns the MongoDB\Driver\CursorId associated with this cursor. A cursor ID uniquely identifies the cursor on the server.

### Parameters

This function has no parameters.

### Return Values

Returns the MongoDB\Driver\CursorId for this cursor.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\Cursor::getId() example

    <?php/* In this example, we insert several documents into the collection and specify * a smaller batchSize to ensure that the first batch contains only a subset of * our results and the cursor remains open on the server. */$manager = new MongoDB\Driver\Manager("mongodb://localhost:27017");$query = new MongoDB\Driver\Query([], ['batchSize' => 2]);$bulk = new MongoDB\Driver\BulkWrite;$bulk->insert(['x' => 1]);$bulk->insert(['x' => 2]);$bulk->insert(['x' => 3]);$manager->executeBulkWrite('db.collection', $bulk);$cursor = $manager->executeQuery('db.collection', $query);var_dump($cursor->getId());?>

The above example will output something similar to:

    object(MongoDB\Driver\CursorId)#5 (1) {
      ["id"]=>
      int(94810124093)
    }

### See Also

- MongoDB\Driver\CursorId
- MongoDB\Driver\CursorId::__toString() - String representation of the cursor ID